Quassel IRC - Bug #1485

Receiving a new message causes the topic editor to deselect and lose changes
06/24/2018 06:41 PM - rubenwardy

Status: Resolved Start date: 06/24/2018
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.13.0

Version: 0.12.4 0S: Any
Description

I'm using quassel v0.13-pre (0.12.0+690 git-cb63e88d)
The core uses 1:0.13.0~alpha+201806212016-0ubuntu0~built201806220131~gitda1a6f4~ubuntu18.04.1

Associated revisions

Revision b0035602 - 12/08/2020 09:37 AM - Lee Starnes

qgtui: Keep editing topic while someone talks

Without this change, it's almost impossible to edit the topic with the
topic widget in busy channels because every message would trigger the
dataChanged signal which would reset the topic and switch the topic
widget out of editing mode.

Fixes #1485.

History

#1 - 06/24/2018 06:48 PM - rubenwardy

Client OS: Manjaro XFCE
Server OS: Ubuntu 18.04

To reproduce: try editing the topic using the GUI at the top in a busy channel, it'll close and go back to the non-editing mode, losing and progress

#2 - 12/08/2020 09:37 AM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|b0035602d3739325537e4668d92fdd9932f7eccc.
